Bug 61928 - QMovie: Certain Animated GIFs cause 100% CPU usage
QMovie: Certain Animated GIFs cause 100% CPU usage
Product: Red Hat Public Beta
Classification: Retired
Component: qt (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
: 64167 (view as bug list)
Depends On:
Blocks: 61901
  Show dependency treegraph
Reported: 2002-03-25 19:20 EST by Warren Togami
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-03 04:59:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2002-03-25 19:20:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
Certain animated GIF images cause Konqueror to eat 100% CPU.  top shows X using
most of that CPU usage, probably in simply updating the screen.  System becomes
unresonsive until I can close the window.

I think this has something to do with Konqueror not having a minimum delay
period for looping animated GIF.  Mozilla and Internet Explorer enforces a
minimum loop delay so they don't have this problem.  This sample URL image loops
too quickly like this.


How reproducible:

Steps to Reproduce:
1. Visit that URL in Konqueror.

Expected Results:  Konqueror should enforce a minimum animated GIF loop delay.
Comment 1 Warren Togami 2002-03-25 19:39:23 EST
More information, this is a QT problem.  Please read this URL for details.

Comment 2 Warren Togami 2002-04-03 04:59:17 EST
lars@trolltech.com said this about that particular GIF image:

> That GIF is really evil. I get (on a dual processor machine) about 
> 70% for X and 50% for the Qt movies example. Even moving the minimum 
> delay up to 50ms didn't make it a lot better. I think we will need 
> some bigger fixes in QMovie to make this work fast.
Comment 3 Bernhard Rosenkraenzer 2002-04-03 06:09:48 EST
The original problem is fixed, and since the fix for this particular image would need a 
near-rewrite of the QMovie class, it's not doable for this release.
Comment 4 James Manning 2002-04-28 02:23:16 EDT
*** Bug 64167 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.